apptainer(1)

NAME

apptainer-instance-list - List all running and named Apptainer instances

SYNOPSIS

apptainer instance list [list options...] []

DESCRIPTION

The instance list command allows you to view the Apptainer container
  instances that are currently running in the background.

OPTIONS

-a, --all[=false]
    display all instances (include --sharens instances)

-h, --help[=false]
    help for list

-j, --json[=false]
    print structured json instead of list

-l, --logs[=false]
    display location of stdout and sterr log files for instances

-u, --user=""
    if running as root, list instances from ""

EXAMPLE
      $ apptainer instance list
      INSTANCE NAME      PID       IMAGE
      test               11963     /home/mibauer/apptainer/sinstance/test.sif
      test2              11964     /home/mibauer/apptainer/sinstance/test.sif
      lolcow             11965     /home/mibauer/apptainer/sinstance/lolcow.sif
      $ apptainer instance list 'test*'
      INSTANCE NAME      PID       IMAGE
      test               11963     /home/mibauer/apptainer/sinstance/test.sif
      test2              11964     /home/mibauer/apptainer/sinstance/test.sif
      $ sudo apptainer instance list -u mibauer
      INSTANCE NAME      PID       IMAGE
      test               11963     /home/mibauer/apptainer/sinstance/test.sif
      test2              16219     /home/mibauer/apptainer/sinstance/test.sif

SEE ALSO

apptainer-instance(1)

HISTORY

16-Dec-2024 Auto generated by spf13/cobra